import { Button, Flex, Group, Paper, Select, TextInput, Title } from "@mantine/core";
import { IconAt, IconCalendar, IconTag, IconUser } from "@tabler/icons-react";
import { pluck } from "ramda";

const licenseValidLength = [
  { value: 1, label: "一年" },
  { value: 2, label: "两年" },
  { value: 3, label: "三年" },
  { value: 4, label: "四年" },
  { value: 5, label: "五年" },
  { value: 6, label: "六年" },
  { value: 7, label: "七年" },
  { value: 8, label: "八年" },
  { value: 9, label: "九年" },
  { value: 10, label: "十年" },
  { value: 15, label: "十五年" },
  { value: 20, label: "二十年" },
  { value: 25, label: "二十五年" },
  { value: 30, label: "三十年" },
  { value: 35, label: "三十五年" },
  { value: 40, label: "四十年" },
  { value: 45, label: "四十五年" },
  { value: 50, label: "五十年" },
];

export function LicenseForm() {
  return (
    <Paper shadow="md" p="lg">
      <form>
        <Flex direction="column" gap="md">
          <Title order={4}>授权信息</Title>
          <TextInput
            label="授权名称"
            placeholder="请输入授权名称"
            required
            leftSection={<IconTag size={16} />}
          />
          <TextInput
            label="被授权人"
            placeholder="请输入授权人名称"
            required
            leftSection={<IconUser size={16} />}
          />
          <TextInput
            label="被授权人Email"
            placeholder="请输入授权人Email"
            leftSection={<IconAt size={16} />}
          />
          <Select
            label="授权有效时长"
            placeholder="请选择授权有效时长"
            data={pluck("label", licenseValidLength)}
            defaultValue={licenseValidLength[0].label}
            leftSection={<IconCalendar size={16} />}
          />
          <Group justify="flex-end">
            <Button>生成授权</Button>
          </Group>
        </Flex>
      </form>
    </Paper>
  );
}
